<?xml version="1.0" encoding="utf-8"?>
<page xmlns="http://projectmallard.org/1.0/" xmlns:its="http://www.w3.org/2005/11/its" type="topic" id="tech-spell-checking" xml:lang="ko">

  <info>
    <link type="guide" xref="tech" group="spell-checking"/>

    <credit type="author copyright">
      <name>Federico Mena Quintero</name>
      <email its:translate="no">federico@gnome.org</email>
      <years>2013</years>
    </credit>
    <credit type="author copyright">
      <name>Sébastien Wilmet</name>
      <email its:translate="no">swilmet@gnome.org</email>
      <years>2017</years>
    </credit>

    <include xmlns="http://www.w3.org/2001/XInclude" href="cc-by-sa-3-0.xml"/>

    <desc>텍스트 위젯의 철자 검사</desc>
  
    <mal:credit xmlns:mal="http://projectmallard.org/1.0/" type="translator copyright">
      <mal:name>조성호</mal:name>
      <mal:email>shcho@gnome.org</mal:email>
      <mal:years>2016, 2017, 2018.</mal:years>
    </mal:credit>
  </info>

<title>철자 검사</title>

  <p>enchant나 gspell과 같은 일부 라이브러리에서 철자 검사 동작을 수행할 수 있습니다.</p>

  <p>
    Enchant provides a low-level API.  You can ask it if a word is misspelled,
    or ask for suggestions for a misspelled word.  On a higher level, gspell
    integrates spell-checking for GTK text widgets (both <code>GtkEntry</code>
    and <code>GtkTextView</code>).
  </p>

  <p>그놈에서는, 지에디트(텍스트 편집기)와 엠퍼시(인스턴트 메신저 클라이언트)같은 다량의 텍스트를 취급하는 프로그램에서 위 라이브러리를 활용합니다.</p>

  <list style="compact">
    <item><p><link href="https://www.abisource.com/projects/enchant/">Enchant 홈 페이지</link></p></item>
    <item><p><link href="https://wiki.gnome.org/Projects/gspell">gspell 홈 페이지</link></p></item>
  </list>

</page>
